> ## Name

> cgGLSetOptimalOptions - deprecated, use cgGLSetContextOptimalOptions

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetOptimalOptions( CGprofile profile );

> ## Parameters

> profile
>   The profile for which the optimal options will be set.

> ## Return Values

> None.

> ## Description

> cgGLSetOptimalOptions sets implicit compiler arguments that are appended to the argument list passed to cgCreateProgram. The arguments are chosen based on the the available compiler arguments, GPU, and driver.

> The arguments will be appended to the argument list every time cgCreateProgram is called until the last CGcontext is destroyed, after which this function should be called again.

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if profile is not a supported OpenGL profile.

> ## History

> cgGLSetOptimalOptions was introduced in Cg 1.1.

> cgGLSetOptimalOptions was deprecated in Cg 3.1, use cgGLSetContextOptimalOptions.

> ## See Also

> cgGLSetContextOptimalOptions